Register Client

Register Client
Register a new client with the vTIS (vDefend Threat Intelligence service) authentication service

Register a new client with the vTIS (vDefend Threat Intelligence service) authentication service. The client must provide:

  • A valid client type (device type)
  • At least one license key for validation

The client_id is optional. If not provided, the system will generate one. If provided and the client already exists, the registration will update the existing client.

Important Validation Rules:

  • client_id: If provided, must not be an empty string (error code 100001)
  • licenses: Must not be null and must contain at least one license key (error codes 100001, 100003)
Request
URI
POST
https://{api_host}/2.0/auth/register
COPY
Request Body

Registration request body. Contains client identification information, client type, and license keys.

RegistrationRequest of type(s) application/json
Required  

Show optional properties

{
    "client_type": "string",
    "licenses": [
        {}
    ]
}
{
    "client_id": "string",
    "client_type": "string",
    "licenses": [
        "string"
    ]
}
string
client_id
Optional
Constraints: minLength: 1

Optional client identifier. If not provided, the system will generate one. If provided and the client already exists, the registration will update the existing client. Must not be an empty string if provided (empty string will result in error code 100001).

string
client_type
Required  

The device type or client type. Must be one of the valid device types. The value can use either underscore or hyphen as delimiter (e.g., "NSX-Idps-Offline-Download" or "NSX_Idps_Offline_Download").

array of string
licenses
Required  
Constraints: minItems: 1

Array of license keys to validate. Must not be null and must contain at least one license key.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns RegistrationResponse of type(s) application/json
{
    "client_id": "string",
    "client_secret": "string",
    "message": "string"
}
string
client_id
Optional

The client identifier. This will be the provided client_id or a system-generated one.

string
client_secret
Optional

The client secret generated by the system. Store this securely as it will be needed for authentication.

string
message
Optional

Optional message providing additional information about the registration.


default

Error Response

Returns Error of type(s) application/json
{
    "error_code": 0,
    "error_message": "string"
}
integer As int32 As int32
error_code
Required  

HTTP Status or Application error code.

Error Code Ranges:

  • 100000: Unknown/Internal errors
  • 100001-100025: General validation errors
  • 100101-100150: Re-registration errors (same clientId)
  • 100151-100200: Re-registration errors (new clientId)
  • 100201-100202: License-related errors
string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"client_type":"string","licenses":["string"]}' https://{api_host}/2.0/auth/register